# Uses of Interface
org.eclipse.jdt.core.IJavaModelStatus

Packages that use IJavaModelStatus
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.

## Uses of IJavaModelStatus in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IJavaModelStatus
Modifier and Type
Method
Description
`IJavaModelStatus`
JavaModelException.`getJavaModelStatus()`
Returns the Java model status object for this exception.
`static IJavaModelStatus`
JavaConventions.`validateClasspath(IJavaProject javaProject, IClasspathEntry[] rawClasspath, org.eclipse.core.runtime.IPath projectOutputLocation)`
Validate a given classpath and output location for a project, using the following rules: Classpath entries cannot collide with each other; that is, all entry paths must be unique.
`static IJavaModelStatus`
JavaConventions.`validateClasspathEntry(IJavaProject project, IClasspathEntry entry, boolean checkSourceAttachment)`
Returns a Java model status describing the problem related to this classpath entry if any, a status object with code `IStatus.OK` if the entry is fine (that is, if the given classpath entry denotes a valid element to be referenced onto a classpath).
Constructors in org.eclipse.jdt.core with parameters of type IJavaModelStatus
Modifier
Constructor
Description
``
`JavaModelException(IJavaModelStatus status)`
Creates a Java model exception for the given Java-specific status object.